Subject: [bug#55083] gnu: add python-librouteros

From: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Sat, 29 Oct 2022 13:30:29 +0200

Hi,

In the bug report about licensing it was unclear if
python-librouteros was GPLv2 only[1] or GPLv2 or later[2].

The comments were by the same person (the project owner in github) and
the one stating that it is GPLv2 or later came after the one stating
that it is GPLv2 only.

Bundlewrap considered it as GPLv2 of that later comment[3].

So to get a definitive clarification I send a patch to librouteros
for the license clarification[4] and it was accepted.

So I can now cleanup the code, update the packages to the latest
versions if necessary and get all that merged.

Do I need to use the exact commit with the license clarification or can
I use the latest release? Or do I backport that commit?

Since it's a license clarification and not a license change, I guess
that it works retrospectively too.

References:
-----------
[1]https://github.com/luqasz/librouteros/issues/129#issuecomment-1111537090
[2]https://github.com/luqasz/librouteros/issues/129#issuecomment-1136123888
[3]https://github.com/bundlewrap/bundlewrap/issues/709#issuecomment-1249674037
[4]https://github.com/luqasz/librouteros/commit/bbf0e580ac03b818190d2a3839046dc7e1a06a90

Denis.